package model.fish;

import model.fish.behavior.CircleBehavior;
import model.fish.display.CircleFishDisplay;
import sysModel.fish.Fish;

import java.awt.*;

/**
 * A fish that swims around in a circle.
 *
 * @author Mathias Ricken
 */
public class CircleFish extends Fish {
    /**
     * Create a new circle fish.
     *
     * @param fishColor color of the fish
     */
    public CircleFish(Color fishColor) {
        super(fishColor, CircleFishDisplay.Singleton, CircleBehavior.Singleton);
    }
}
