package model.fish;

import model.fish.behavior.GenericBehavior;
import model.fish.display.RoundFishDisplay;
import sysModel.fish.Fish;

import java.awt.*;

/**
 * Class for a generic fish.
 *
 * @author Mathias G. Ricken
 */
public class GenericFish extends Fish {
    /**
     * Create a new generic fish.
     *
     * @param fishColor color of the fish
     */
    public GenericFish(Color fishColor) {
        super(fishColor, RoundFishDisplay.Singleton, GenericBehavior.Singleton);
    }
}
