package model.fish;

import model.fish.behavior.KnightBehavior;
import model.fish.display.ImageFishDisplay;
import sysModel.fish.Fish;

import java.awt.*;

/**
 * A fish that moves like a knight in chess.
 *
 * @author Mathias Ricken
 */
public class KnightFish extends Fish {
    /**
     * Make a new knight fish.
     *
     * @param fishColor color of the fish
     */
    public KnightFish(Color fishColor) {
        super(fishColor, new ImageFishDisplay("knight.gif", 0), KnightBehavior.Singleton);
    }
}
