package model.fish;

import model.fish.behavior.RockBehavior;
import model.fish.display.ImageFishDisplay;
import sysModel.fish.Fish;

import java.awt.*;

/**
 * A rock "fish" that doesn't move.
 *
 * @author Mathias Ricken
 */
public class RockFish extends Fish {
    /**
     * Constructor.
     *
     * @param fishColor fish color
     */
    public RockFish(Color fishColor) {
        super(fishColor, new ImageFishDisplay("rock.gif", 3.0 * Math.PI / 2.0), RockBehavior.Singleton);
    }
}
