package model.fish;

import model.fish.behavior.SimpleBehavior;
import model.fish.display.ImageFishDisplay;
import sysModel.fish.Fish;

import java.awt.*;

/**
 * A simple fish that swims back and forth.
 *
 * @author Mathias Ricken
 */
public class SimpleFish extends Fish {
    /**
     * Constructor.
     *
     * @param fishColor color of the fish
     */
    public SimpleFish(Color fishColor) {
        super(fishColor, new ImageFishDisplay("smallfish.gif", 3.0 * Math.PI / 2.0), SimpleBehavior.Singleton);
    }
}
