package model.fish;

import model.fish.behavior.SlowBehavior;
import model.fish.display.RoundFishDisplay;
import sysModel.fish.Fish;

import java.awt.*;

/**
 * Class for a slow fish.
 *
 * @author Mathias G. Ricken
 */
public class SlowFish extends Fish {
    /**
     * Create a new slow fish.
     *
     * @param fishColor color of the fish
     */
    public SlowFish(Color fishColor) {
        super(fishColor, RoundFishDisplay.Singleton, SlowBehavior.Singleton);
    }
}
